name: Docker Build and Release Upload

on:
  push:
    branches:
      - main

jobs:
  build:
    runs-on: alpine-linux
    steps:
      - name: checkout
        uses: actions/checkout@v4
      
      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: build and push database
        run: |
          docker buildx build \
          --platform=linux/amd64,linux/arm64 \
          -t docker.mistox.net/auth-sql \
          --push \
          ./database
          
      - name: build and push server
        run: |
          docker buildx build \
          --platform=linux/amd64,linux/arm64 \
          --build-arg BASE_URL=https://auth.mistox.com \
          -t docker.mistox.net/auth-website \
          --push \
          .